### Hierarchy

- IPageContentProvider

### Implemented by

- PageContent

## Index

### Properties

- addColumn
- addRow
- canDoDelta
- current
- dirty
- getCell
- getCellByRef
- getCells
- getDelta
- getFull
- original
- removeColumn
- removeRow
- reset
- update
- updateCell

### Methods

- setColSize
- setRowSize
- updateCells

## Properties

### addColumn

addColumn: function

- Defined in Page/Content.ts:96

#### Type declaration

- - (index: number, direction?: undefined | string): void

  - #### Parameters

    - ##### index: number

    - ##### Optional direction: undefined | string

    #### Returns void

### addRow

addRow: function

- Defined in Page/Content.ts:95

#### Type declaration

- - (index: number, direction?: undefined | string): void

  - #### Parameters

    - ##### index: number

    - ##### Optional direction: undefined | string

    #### Returns void

### canDoDelta

canDoDelta: boolean

- Defined in Page/Content.ts:85

### current

current: IPageContent

- Defined in Page/Content.ts:83

### dirty

dirty: boolean

- Defined in Page/Content.ts:86

### getCell

getCell: function

- Defined in Page/Content.ts:91

#### Type declaration

- - (rowIndex: number, columnIndex: number): IPageContentCell

  - #### Parameters

    - ##### rowIndex: number

    - ##### columnIndex: number

    #### Returns IPageContentCell

### getCellByRef

getCellByRef: function

- Defined in Page/Content.ts:90

#### Type declaration

- - (ref: string): IPageContentCell

  - #### Parameters

    - ##### ref: string

    #### Returns IPageContentCell

### getCells

getCells: function

- Defined in Page/Content.ts:92

#### Type declaration

- - (fromCell: any, toCell: any): any

  - #### Parameters

    - ##### fromCell: any

    - ##### toCell: any

    #### Returns any

### getDelta

getDelta: function

- Defined in Page/Content.ts:101

#### Type declaration

- - (clean?: undefined | false | true): IPageDelta

  - #### Parameters

    - ##### Optional clean: undefined | false | true

    #### Returns IPageDelta

### getFull

getFull: function

- Defined in Page/Content.ts:102

#### Type declaration

- - (): IPageContent

  - #### Returns IPageContent

### original

original: IPageContent

- Defined in Page/Content.ts:84

### removeColumn

removeColumn: function

- Defined in Page/Content.ts:98

#### Type declaration

- - (index: number): void

  - #### Parameters

    - ##### index: number

    #### Returns void

### removeRow

removeRow: function

- Defined in Page/Content.ts:97

#### Type declaration

- - (index: number, direction?: undefined | string): void

  - #### Parameters

    - ##### index: number

    - ##### Optional direction: undefined | string

    #### Returns void

### reset

reset: function

- Defined in Page/Content.ts:89

#### Type declaration

- - (): void

  - #### Returns void

### update

update: function

- Defined in Page/Content.ts:88

#### Type declaration

- - (rawContent: IPageContent, clean?: undefined | false | true, replace?: undefined | false | true): void

  - #### Parameters

    - ##### rawContent: IPageContent

    - ##### Optional clean: undefined | false | true

    - ##### Optional replace: undefined | false | true

    #### Returns void

### updateCell

updateCell: function

- Defined in Page/Content.ts:93

#### Type declaration

- - (rowIndex: number, columnIndex: number, data: IPageContentCell): void

  - #### Parameters

    - ##### rowIndex: number

    - ##### columnIndex: number

    - ##### data: IPageContentCell

    #### Returns void

## Methods

### setColSize

- setColSize(col: number, value: number): void

- - Defined in Page/Content.ts:99

  #### Parameters

  - ##### col: number

  - ##### value: number

  #### Returns void

### setRowSize

- setRowSize(row: number, value: number): void

- - Defined in Page/Content.ts:100

  #### Parameters

  - ##### row: number

  - ##### value: number

  #### Returns void

### updateCells

- updateCells(from: IPageContentCellIndex, to: IPageContentCellIndex, data: IPageContentCell): void

- - Defined in Page/Content.ts:94

  #### Parameters

  - ##### from: IPageContentCellIndex

  - ##### to: IPageContentCellIndex

  - ##### data: IPageContentCell

  #### Returns void

Generated using TypeDoc